summaryrefslogtreecommitdiffstats
path: root/source/l/gmm/gmm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gmm/gmm.SlackBuild')
-rwxr-xr-xsource/l/gmm/gmm.SlackBuild20
1 files changed, 14 insertions, 6 deletions
diff --git a/source/l/gmm/gmm.SlackBuild b/source/l/gmm/gmm.SlackBuild
index 2742fd106..cc803afc0 100755
--- a/source/l/gmm/gmm.SlackBuild
+++ b/source/l/gmm/gmm.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
-# Copyright 2008, 2009, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,14 +23,22 @@
# Modified by Robby Workman <rworkman@slackware.com>
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gmm
-VERSION=4.2
+VERSION=4.3
ARCH=noarch
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:--j6}
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -47,7 +55,7 @@ chmod -R u+w,go+r-w,a-s .
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1